Subject: Re: bug#71209: [PATCH] Add font-locking for variables in go-ts-mode range clauses

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 Jun 2024 17:13:13 +0300

On 01/06/2024 04:50, Noah Peart wrote:
> There is a similar issue with font-lock-property-name-face
> and font-lock-property-use-face.  I've noticed different modes
> treat things differently.  I think object fields in literals should get
> property-name-face, but json-ts-mode, for example,
> doesn't use font-lock-property-name-face at all.

Yeah, that sounds about right. Probably needs some formalization, 
because for cases like json and html I wasn't 100% sure which semantics 
to choose, and unlike in programming code this didn't seem urgent at the 
time.